summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--init.vim128
-rw-r--r--installer.sh89
-rwxr-xr-xsetupDEB.sh16
-rwxr-xr-xsetupRHEL.sh2
-rw-r--r--tags20
5 files changed, 255 insertions, 0 deletions
diff --git a/init.vim b/init.vim
new file mode 100644
index 00000000..45cb1183
--- /dev/null
+++ b/init.vim
@@ -0,0 +1,128 @@
+"""""""""" HOUSEKEEPING """"""""""
+syntax on
+set nowrap
+set encoding=utf8
+" escape can blow me
+nnoremap <C-c> <Esc>
+" Gets rid of highlights after search
+nnoremap <silent> <C-L> :nohlsearch<CR><C-L>
+" Line numbers
+set number
+" Toggle line numbers
+nnoremap <F6> :set nonumber!<CR>
+
+if &compatible
+ set nocompatible " Be iMproved
+endif
+" Remap window switch
+nnoremap <C-h> <C-w>h
+nnoremap <C-j> <C-w>j
+nnoremap <C-k> <C-w>k
+nnoremap <C-l> <C-w>l
+
+"""""""""" END HOUSEKEEPING """"""""""
+
+"""""""""" PLUGINS """"""""""
+" Required:
+set runtimepath+=~/.cache/dein/repos/github.com/Shougo/dein.vim
+
+" Required:
+if dein#load_state('~/chris/.cache/dein')
+ call dein#begin('~/.cache/dein')
+
+ " Let dein manage dein
+ " Required:
+ call dein#add('~/.cache/dein/repos/github.com/Shougo/dein.vim')
+
+ " Start Screen
+ call dein#add('mhinz/vim-startify')
+ " Search Index shows how many instances of searched term
+ call dein#add('google/vim-searchindex')
+ " line indents
+ "call dein#add('Yggdroot/indentLine')
+ " Gutentags
+ call dein#add('ludovicchabant/vim-gutentags')
+ " Tagbar
+ call dein#add('majutsushi/tagbar')
+ " Add or remove your plugins here:
+ call dein#add('Shougo/neosnippet.vim')
+ call dein#add('Shougo/neosnippet-snippets')
+ " Themes
+ call dein#add('liuchengxu/space-vim-dark')
+ " Auto Pairs
+ call dein#add('jiangmiao/auto-pairs')
+ " NERDTree
+ call dein#add('scrooloose/nerdtree')
+ " For autocomplete
+ call dein#add('Shougo/deoplete.nvim')
+ " For vim 8+
+ if !has('nvim')
+ call dein#add('roxma/nvim-yarp')
+ call dein#add('roxma/vim-hug-neovim-rpc')
+ endif
+
+ " You can specify revision/branch/tag.
+ call dein#add('Shougo/deol.nvim', { 'rev': '01203d4c9' })
+
+ " Required:
+ call dein#end()
+ call dein#save_state()
+endif
+
+" Required:
+filetype plugin indent on
+syntax enable
+
+" If you want to install not installed plugins on startup.
+if dein#check_install()
+ call dein#install()
+endif
+
+"""""""""" END PLUGINS """"""""""
+
+"""""""""" SPACEVIM THEME """"""""""
+
+" Set theme
+colorscheme space-vim-dark
+
+" Terminal Transparency
+"if $TERM_PROGRAM =~ 'terminator'
+" hi Normal ctermbg=NONE guibg=NONE
+" hi LineNr ctermbg=NONE guibg=NONE
+" hi SignColumn ctermbg=NONE guibg=NONE
+"endif
+
+" Range: 233 (darkest) ~ 238 (lightest)
+" Default: 235
+let g:space_vim_dark_background = 233
+color space-vim-dark
+hi Comment guifg=#5C6370 ctermfg=59
+"hi Comment cterm=italic
+"set background=dark
+"set termguicolors
+
+"""""""""" END THEME """"""""""
+
+" Deoplete
+let g:deoplete#enable_at_startup = 1
+
+" Startify
+let g:startify_custom_header = [
+ \ ' ',
+ \ ' __ ',
+ \ ' __ __ /\_\ ___ ___ ',
+ \ ' /\ \/\ \\/\ \ /'' __` __`\ ',
+ \ ' \ \ \_/ |\ \ \/\ \/\ \/\ \ ',
+ \ ' \ \___/ \ \_\ \_\ \_\ \_\ ',
+ \ ' \/__/ \/_/\/_/\/_/\/_/ ',
+ \ ]
+
+" Tagbar
+nmap <F8> :TagbarToggle<CR>
+
+" NERDTree
+nmap <F5> :NERDTreeToggle<CR>
+
+
+
+
diff --git a/installer.sh b/installer.sh
new file mode 100644
index 00000000..9a0780c1
--- /dev/null
+++ b/installer.sh
@@ -0,0 +1,89 @@
+#!/bin/sh
+# Standalone installer for Unixs
+# Original version is created by shoma2da
+# https://github.com/shoma2da/neobundle_installer
+
+if [ $# -ne 1 ]; then
+ echo "You must specify the installation directory!"
+ exit 1
+fi
+
+# Convert the installation directory to absolute path
+case $1 in
+ /*) PLUGIN_DIR=$1;;
+ *) PLUGIN_DIR=$PWD/$1;;
+esac
+INSTALL_DIR="${PLUGIN_DIR}/repos/github.com/Shougo/dein.vim"
+echo "Install to \"$INSTALL_DIR\"..."
+if [ -e "$INSTALL_DIR" ]; then
+ echo "\"$INSTALL_DIR\" already exists!"
+fi
+
+echo ""
+
+# check git command
+type git || {
+ echo 'Please install git or update your path to include the git executable!'
+ exit 1
+}
+echo ""
+
+# make plugin dir and fetch dein
+if ! [ -e "$INSTALL_DIR" ]; then
+ echo "Begin fetching dein..."
+ mkdir -p "$PLUGIN_DIR"
+ git clone https://github.com/Shougo/dein.vim "$INSTALL_DIR"
+ echo "Done."
+ echo ""
+fi
+
+# write initial setting for .vimrc
+echo "Please add the following settings for dein to the top of your vimrc (Vim) or init.vim (NeoVim) file:"
+{
+ echo ""
+ echo ""
+ echo "\"dein Scripts-----------------------------"
+ echo "if &compatible"
+ echo " set nocompatible \" Be iMproved"
+ echo "endif"
+ echo ""
+ echo "\" Required:"
+ echo "set runtimepath+=$INSTALL_DIR"
+ echo ""
+ echo "\" Required:"
+ echo "if dein#load_state('$PLUGIN_DIR')"
+ echo " call dein#begin('$PLUGIN_DIR')"
+ echo ""
+ echo " \" Let dein manage dein"
+ echo " \" Required:"
+ echo " call dein#add('$INSTALL_DIR')"
+ echo ""
+ echo " \" Add or remove your plugins here:"
+ echo " call dein#add('Shougo/neosnippet.vim')"
+ echo " call dein#add('Shougo/neosnippet-snippets')"
+ echo ""
+ echo " \" You can specify revision/branch/tag."
+ echo " call dein#add('Shougo/deol.nvim', { 'rev': '01203d4c9' })"
+ echo ""
+ echo " \" Required:"
+ echo " call dein#end()"
+ echo " call dein#save_state()"
+ echo "endif"
+ echo ""
+ echo "\" Required:"
+ echo "filetype plugin indent on"
+ echo "syntax enable"
+ echo ""
+ echo "\" If you want to install not installed plugins on startup."
+ echo "\"if dein#check_install()"
+ echo "\" call dein#install()"
+ echo "\"endif"
+ echo ""
+ echo "\"End dein Scripts-------------------------"
+ echo ""
+ echo ""
+}
+
+echo "Done."
+
+echo "Complete setup dein!"
diff --git a/setupDEB.sh b/setupDEB.sh
new file mode 100755
index 00000000..4b743fb3
--- /dev/null
+++ b/setupDEB.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# installing neovim
+sudo apt install -y neovim
+
+# needed to pull installer
+sudo apt install -y curl
+
+# used for clipboard
+sudo apt install -y xsel
+
+# pul sown installer
+curl https://raw.githubusercontent.com/Shougo/dein.vim/master/bin/installer.sh > installer.sh
+
+# run installer
+sh ./installer.sh ~/.cache/dein
diff --git a/setupRHEL.sh b/setupRHEL.sh
new file mode 100755
index 00000000..43563290
--- /dev/null
+++ b/setupRHEL.sh
@@ -0,0 +1,2 @@
+
+sudo yum install -y neovim
diff --git a/tags b/tags
new file mode 100644
index 00000000..8828e757
--- /dev/null
+++ b/tags
@@ -0,0 +1,20 @@
+!_TAG_FILE_FORMAT 2 /extended format; --format=1 will not append ;" to lines/
+!_TAG_FILE_SORTED 1 /0=unsorted, 1=sorted, 2=foldcase/
+!_TAG_OUTPUT_MODE u-ctags /u-ctags or e-ctags/
+!_TAG_PROGRAM_AUTHOR Universal Ctags Team //
+!_TAG_PROGRAM_NAME Universal Ctags /Derived from Exuberant Ctags/
+!_TAG_PROGRAM_URL https://ctags.io/ /official site/
+!_TAG_PROGRAM_VERSION 0.0.0 /f76ed534/
+<C-L> init.vim /^nnoremap <silent> <C-L> :nohlsearch<CR><C-L>$/;" m
+<C-c> init.vim /^nnoremap <C-c> <Esc>$/;" m
+<C-h> init.vim /^nnoremap <C-h> <C-w>h$/;" m
+<C-j> init.vim /^nnoremap <C-j> <C-w>j$/;" m
+<C-k> init.vim /^nnoremap <C-k> <C-w>k$/;" m
+<C-l> init.vim /^nnoremap <C-l> <C-w>l$/;" m
+<F5> init.vim /^nmap <F5> :NERDTreeToggle<CR>$/;" m
+<F6> init.vim /^nnoremap <F6> :set nonumber!<CR>$/;" m
+<F8> init.vim /^nmap <F8> :TagbarToggle<CR>$/;" m
+g:deoplete#enable_at_startup init.vim /^let g:deoplete#enable_at_startup = 1$/;" v
+g:space_vim_dark_background init.vim /^let g:space_vim_dark_background = 233$/;" v
+g:startify_custom_header init.vim /^let g:startify_custom_header = [ /;" v
+nvim README.md /^# nvim$/;" c